## mruby 0.0.0~20131107+gitf80401de

=== debian/changelog ===
mruby (0.0.0~20131107+gitf80401de-1) unstable; urgency=low

  * Snapshot, taken from the master (20131107).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Nov 2013 12:23:24 +0900

mruby (0.0.0~20131011+git480e3297-1) unstable; urgency=low

  * Snapshot, taken from the master (20131011).
  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Oct 2013 13:34:59 +0900

mruby (0.0.0~20130903+gitad5c408c-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Sep 2013 07:49:24 +0900

mruby (0.0.0~20130801+gitc550a0f8-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 01 Aug 2013 07:43:27 +0900

mruby (0.0.0~20130704+git4c8fd521-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Jul 2013 08:27:16 +0900

mruby (0.0.0~20130531+git5c6d2818-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 31 May 2013 17:33:04 +0900

mruby (0.0.0~20130515+git95fb1fd8-1) experimental; urgency=low

  * Initial release. (Closes: #697835)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 15 May 2013 07:29:35 +0900

## mruby 0.0.0~20131214+git882afdea

=== Makefile ===
# mruby is using Rake (http://rake.rubyforge.org) as a build tool.
# We provide a minimalistic version called minirake inside of our 
# codebase.

RAKE = ruby ./minirake

.PHONY : all
all :
	$(RAKE)

.PHONY : test
test : all
	$(RAKE) test

.PHONY : clean
clean :
	$(RAKE) clean

=== debian/changelog ===
mruby (0.0.0~20131214+git882afdea-1) unstable; urgency=medium

  * Snapshot, taken from the master (20131214).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 14 Dec 2013 10:56:42 +0900

=== debian/control ===
Source: mruby
Section: ruby
Priority: extra
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Akira Mitsui <murase.syuka@gmail.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
Standards-Version: 3.9.4
Vcs-Git: git://github.com/mruby-debian/mruby.git
Vcs-Browser: https://github.com/mruby-debian/mruby

Package: mruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight implementation of the Ruby language
 mruby is the lightweight implementation of the Ruby language complying to
 the ISO standard.
 This can be linked and embedded within your application.
 .
 This package contains the following tools:
  * mirb: Embeddable interactive ruby shell
  * mrbc: mruby compiler
  * mruby: mruby interpreter

Package: libmruby-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight implementation of the Ruby language (development files)
 mruby is the lightweight implementation of the Ruby language complying to
 the ISO standard.
 This can be linked and embedded within your application.
 .
 This package contains the development files.

## mruby 1.0.0+20140623+gitc938b2f6

=== debian/changelog ===
mruby (1.0.0+20140623+gitc938b2f6-1) unstable; urgency=medium

  * Snapshot, taken from the master (20140623).

 -- Akira Mitsui <murase.syuka@gmail.com>  Mon, 23 Jun 2014 18:58:59 +0900

mruby (1.0.0-1) unstable; urgency=low

  * New upstream release(1.0.0).
  * Update Standards-Version to 3.9.5.

 -- Akira Mitsui <murase.syuka@gmail.com>  Thu, 2 Jan 2014 14:24:54 +0900

## mruby 1.0.0+20141015+gitb4cc962c

=== debian/changelog ===
mruby (1.0.0+20141015+gitb4cc962c-1) unstable; urgency=medium

  * Snapshot, taken from the master (20141015).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 15 Oct 2014 19:49:36 +0900

mruby (1.0.0+20140919+git5f7b0580-1) unstable; urgency=medium

  * Snapshot, taken from the master (20140919).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 19 Sep 2014 08:40:31 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 1.1.0+20150601+gitbd2686d8

=== debian/changelog ===
mruby (1.1.0+20150601+gitbd2686d8-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150601).
  * Bump Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Jun 2015 14:33:47 +0900

mruby (1.1.0+20150416+gitfa824e32-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150416).

 -- Akira Mitsui <murase.syuka@gmail.com>  Thu, 16 Apr 2015 00:39:10 +0900

mruby (1.1.0+20150131+git089f1f6c-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150131).
  * rm patch. because it fixed in upstream

 -- Akira Mitsui <murase.syuka@gmail.com>  Sat, 31 Jan 2015 16:58:37 +0900

mruby (1.1.0-1) unstable; urgency=low

  * New upstream release(1.1.0).
  * Update man pages

 -- Akira Mitsui <murase.syuka@gmail.com>  Tue, 25 Nov 2014 22:06:20 +0900

mruby (1.0.0+20141109+gitfbadd660-1) unstable; urgency=medium

  * Snapshot, taken from the master (20141109).

 -- Akira Mitsui <murase.syuka@gmail.com>  Sun, 09 Nov 2014 23:26:31 +0900

## mruby 1.1.0+20150817+gita1731254

=== debian/changelog ===
mruby (1.1.0+20150817+gita1731254-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150817).
  * Add patches/change_optimize_O2.patch. (Closes: #795367)
  * Add patches/add_fpic_amd64.patch. (Closes: #795407)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 17 Aug 2015 19:53:07 +0900

mruby (1.1.0+20150807+git4fdf4922-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150807). (Closes: #793296)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 Aug 2015 07:08:54 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby
 
@@ -20,6 +20,8 @@
   * mirb: Embeddable interactive ruby shell
   * mrbc: mruby compiler
   * mruby: mruby interpreter
+  * mrdb: mruby debugger
+  * mruby-strip: mruby strip
 
 Package: libmruby-dev
 Architecture: any

## mruby 1.2.0+20151223+git7e4a7abf

=== debian/changelog ===
mruby (1.2.0+20151223+git7e4a7abf-1) unstable; urgency=medium

  * Snapshot, taken from the master (20151223).

 -- Akira Mitsui <murase.syuka@gmail.com>  Wed, 23 Dec 2015 13:32:13 +0900

mruby (1.2.0-1) unstable; urgency=medium

  * New upstream release(1.2.0).
  * Remove patch. because it fixed in upstream

 -- Akira Mitsui <murase.syuka@gmail.com>  Tue, 17 Nov 2015 22:47:07 +0900

mruby (1.1.0+20151021+git68ba3862-1) unstable; urgency=medium

  * Snapshot, taken from the master (20151021).
  * Add patches/fix_bintest_for_debuild.patch.

 -- Akira Mitsui <murase.syuka@gmail.com>  Wed, 21 Oct 2015 21:21:18 +0900

mruby (1.1.0+20150906+git1cbbb7e1-1) unstable; urgency=medium

   * Snapshot, taken from the master (20150906).

 -- Akira Mitsui <murase.syuka@gmail.com>  Sun, 06 Sep 2015 09:55:36 +0900

## mruby 1.2.0+20160315+git4f20d58a

=== debian/changelog ===
mruby (1.2.0+20160315+git4f20d58a-1) unstable; urgency=medium

  * Snapshot, taken from the master (20160315).
  * Bump Standards-Version to 3.9.7.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 15 Mar 2016 03:29:36 +0900

## mruby 1.2.0+20160426+git8f0c1c7d

=== debian/changelog ===
mruby (1.2.0+20160426+git8f0c1c7d-1) unstable; urgency=medium

  * Snapshot, taken from the master (20160426).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Apr 2016 09:35:09 +0900

mruby (1.2.0+20160220+gitcf5ca036-1) unstable; urgency=medium

  * Snapshot, taken from the master (20160220).

 -- Akira Mitsui <murase.syuka@gmail.com>  Sat, 12 Mar 2016 00:27:24 +0900

## mruby 1.2.0+20160804+git501e1ef2

=== debian/changelog ===
mruby (1.2.0+20160804+git501e1ef2-1) unstable; urgency=medium

  * Snapshot, taken from the master (20160804).

 -- Akira Mitsui <murase.syuka@gmail.com>  Thu, 04 Aug 2016 00:25:55 +0900

mruby (1.2.0+20160527+git6b0299f7-1) unstable; urgency=medium

  * Snapshot, taken from the master (20160527).

 -- Akira Mitsui <murase.syuka@gmail.com>  Fri, 27 May 2016 00:10:50 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 1.2.0+20161228+git30d5424a

=== debian/changelog ===
mruby (1.2.0+20161228+git30d5424a-1) unstable; urgency=medium

  * Snapshot, taken from the master (20161228).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 28 Dec 2016 06:42:26 +0900

mruby (1.2.0+20161009+git8488425e-1) unstable; urgency=medium

  * Snapshot, taken from the master (20161009).
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 15 Oct 2016 06:01:22 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: git://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 1.3.0

=== debian/changelog ===
mruby (1.3.0-1) unstable; urgency=medium

  * New upstream release(1.3.0).
  * Update Standards-Version to 4.0.0.

 -- Akira Mitsui <murase.syuka@gmail.com>  Wed, 05 Jul 2017 01:11:06 +0900

mruby (1.2.0+20170601+git51e0e690-1) experimental; urgency=medium

  * Snapshot, taken from the master (20170601).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 02 Jun 2017 10:45:38 +0900

mruby (1.2.0+20170504+git964a02f1-1) unstable; urgency=medium

  * Snapshot, taken from the master (20170504).

 -- Akira Mitsui <murase.syuka@gmail.com>  Thu, 04 May 2017 03:34:02 +0900

mruby (1.2.0+20170226+gitfecbde32-1) unstable; urgency=medium

  * Snapshot, taken from the master (20170226).

 -- Akira Mitsui <murase.syuka@gmail.com>  Mon, 27 Feb 2017 13:28:02 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: git://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 1.3.0+20170925+git38185028

=== debian/changelog ===
mruby (1.3.0+20170925+git38185028-1) unstable; urgency=medium

  * Snapshot, taken from the master (20170925).
  * Update Standards-Version to 4.1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 26 Sep 2017 04:22:21 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Git: git://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 1.3.0+20171029+git77edafb0

=== debian/changelog ===
mruby (1.3.0+20171029+git77edafb0-1) unstable; urgency=medium

  * Snapshot, taken from the master (20171029).
  * Change priority from extra to optional.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Oct 2017 17:58:41 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mruby
 Section: ruby
-Priority: extra
+Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison

## mruby 1.4.0

=== debian/changelog ===
mruby (1.4.0-1) unstable; urgency=medium

  * New upstream release(1.4.0).
  * Change Vcs-Git to use https.
  * Update copyright.
    - Update secure copyright format URI.
    - Update License from MIT to Expat.

 -- Akira Mitsui <murase.syuka@gmail.com>  Sun, 04 Feb 2018 11:08:22 +0900

mruby (1.3.0+20171124+git0ab21a9a-1) unstable; urgency=medium

  * Snapshot, taken from the master (20171124).

 -- Akira Mitsui <murase.syuka@gmail.com>  Fri, 24 Nov 2017 23:23:15 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
 Standards-Version: 4.1.0
-Vcs-Git: git://github.com/mruby-debian/mruby.git
+Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby
 
 Package: mruby

## mruby 1.4.0+20180418+git54905e98

=== debian/changelog ===
mruby (1.4.0+20180418+git54905e98-3) unstable; urgency=medium

  * Fix FTBFS RuntimeError: IO#isatty => open /dev/tty (mrbgems: mruby-io)
    Remove patches/Skip-mruby-io-test-if-there-is-no-dev-tty.patch, and
    add patches/Skip-mruby-tty-test-in-io.patch.
    (Closes: #896162)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Apr 2018 10:27:32 +0900

mruby (1.4.0+20180418+git54905e98-2) unstable; urgency=medium

  * Fix FTBFS RuntimeError: IO#isatty => open /dev/tty (mrbgems: mruby-io)
    Add patches/Skip-mruby-io-test-if-there-is-no-dev-tty.patch.
    (Closes: #896162)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 22 Apr 2018 12:17:43 +0900

mruby (1.4.0+20180418+git54905e98-1) unstable; urgency=medium

  * Update from stable branch(20180418).
    - Fix CVE-2018-10191 (Closes: #896020)
      Use after free caused by integer overflow in environment stack
    - Fix CVE-2018-10199.(Closes: #896021)
      Use after free in File#initilialize_copy
  * Bump Standards-Version to 4.1.4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Apr 2018 08:29:33 +0900

## mruby 1.4.1+20180622+git640fca32

=== debian/changelog ===
mruby (1.4.1+20180622+git640fca32-1) unstable; urgency=medium

  * Snapshot, taken from the master (20180622).
    - Fix CVE-2018-11743, CVE-2018-12249 CVE-2018-12248.
      Closes: #900845 #901652 #901653
  * Remove patches/Fix-test-on-big-endian-CPUs.patch.
    Applied to upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Jun 2018 07:59:03 +0900

mruby (1.4.1+20180527+git14c21793-1) UNRELEASED; urgency=medium

  * Snapshot, taken from the master (20180527).

 -- Akira Mitsui <murase.syuka@gmail.com>  Sun, 27 May 2018 14:41:01 +0900

mruby (1.4.1-2) unstable; urgency=medium

  * Fix test on big-endian (Closes: #897087)
    Add Fix-test-on-big-endian-CPUs.patch, Add-set_endian-function.patch and
    Add-check-function-for-endian.patch and
    Move-function-of-endian-from-Crossbuild-to-build.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 10 May 2018 13:13:40 +0900

mruby (1.4.1-1) unstable; urgency=medium

  * New upstream release (1.4.1).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 May 2018 08:07:23 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 2.0.0

=== debian/changelog ===
mruby (2.0.0-1) unstable; urgency=medium

  [ Akira Mitsui ]
  * New upstream release (2.0.0).

  [ Nobuhiro Iwamatsu ]
  * Update patches.
  * Bump Standards-Version to 4.3.0.

 -- Akira Mitsui <murase.syuka@gmail.com>  Sat, 15 Dec 2018 11:55:05 +0900

mruby (1.4.1+20180922+git8fc56f06-1) unstable; urgency=medium

  * Snapshot, taken from the master (20180922).

 -- Akira Mitsui <murase.syuka@gmail.com>  Sat, 22 Sep 2018 15:39:05 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 2.1.2

=== debian/changelog ===
mruby (2.1.2-3) unstable; urgency=medium

  * Fix CVE-2020-36401.
    Fixed the use-after-free problem. Add d/patches/Fix-CVE-2020-36401.patch.
    This patch is included 9cdf439db5 and 97319697c8 from upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 12 Jul 2021 16:23:01 +0900

mruby (2.1.2-2) unstable; urgency=medium

  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Dec 2020 14:14:43 +0900

mruby (2.1.2-1) unstable; urgency=medium

  * New upstream release (2.1.2). (Closes: #972051)
  * Update d/control.
    - Bump Standards-Version to 4.5.0.
    - Use debhelper-compat instead of debhelper and compat.
  * Remove some debian specific patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Dec 2020 13:24:45 +0900

mruby (2.0.1-1) experimental; urgency=medium

  * New upstream release (2.0.1).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 May 2019 06:39:54 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), ruby, bison
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), ruby, bison
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

=== debian/rules ===
#!/usr/bin/make -f

RAKE="rake --verbose"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- RAKE=$(RAKE)

## mruby 3.0.0

=== debian/changelog ===
mruby (3.0.0-4) unstable; urgency=medium

  * Fix CVE-2022-1212. (Closes: #1009044)
    Add d/patches/CVE-2022-1212.patch. Fix Use-After-Free in str_escape.
  * Fix CVE-2022-1286.
    Add d/patches/CVE-2022-1286.patch. Fix heap-buffer-overflow in mrb_vm_exe.
  * Add 'DEB_BUILD_MAINT_OPTIONS = hardening=+all' to d/rules.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 May 2022 17:09:06 +0900

mruby (3.0.0-3) unstable; urgency=medium

  * Fix vulnerable to Heap-based Buffer Overflow (Fix CVE-2022-0080).
    Add d/patches/CVE-2022-0080.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 06 Jan 2022 11:21:13 +0900

mruby (3.0.0-2) unstable; urgency=medium

  * Fix vulnerable to NULL Pointer Dereference (Fix CVE-2021-4110).
    Add d/patches/CVE-2021-4110.patch. (Closes: #1001768)
  * Update d/copyright
    - Get rid of lintian 'superfluous-file-pattern'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 06 Jan 2022 10:46:45 +0900

mruby (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control
    - Bump Standards-Version to 4.6.0.
    - Add "Rules-Requires-Root: no".
    - Add Homepage field.
  * Update d/gbp.conf
    - Set debian-branch to debian/sid for DEP-14 conformance.
  * Update d/patches
    - add_fpic_amd64.patch: Update to latest version.
    - Drop unnecessary patches.
    - Add Fix-typo.patch.
  * Update d/rules
    - Remove whitespace
  * Update d/copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Sep 2021 07:12:02 +0900

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

RAKE="rake --verbose"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- RAKE=$(RAKE)

## mruby 3.1.0

=== Makefile ===
# mruby is using Rake (https://ruby.github.io/rake/) as a build tool.

RAKE = rake

all :
	$(RAKE)
.PHONY : all

test : all
	$(RAKE) test
.PHONY : test

clean :
	$(RAKE) clean
.PHONY : clean

=== debian/changelog ===
mruby (3.1.0-3) unstable; urgency=medium

  * Revert "d/rules: Build using host-m32.rb when architecture is i386"
  * d/rules: Fix FTBFS on i386. (Closes: #1031321)
    Add '-ffloat-store' to DEB_CFLAGS_MAINT_APPEND if architecture are i386 or
    m68k. Thanks to Adrian Bunk <bunk@debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 13 Mar 2023 16:53:46 +0900

mruby (3.1.0-2) experimental; urgency=medium

  * d/rules: Build using host-m32.rb when architecture is i386.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 11 Feb 2023 09:19:05 +0900

mruby (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2021-46020, CVE-2022-0240, CVE-2022-0481, CVE-2022-0890,
    CVE-2022-1071, CVE-2022-1427, CVE-2022-1201. (Closes: #1014968)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 08 Aug 2022 11:39:09 +0900

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper-compat (= 13), ruby, bison
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Homepage: https://mruby.org/
 Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby
+Rules-Requires-Root: no
 
 Package: mruby
 Architecture: any

## mruby 3.2.0

=== debian/changelog ===
mruby (3.2.0-2) unstable; urgency=medium

  * d/clean: Add build_config/default.rb.lock. (Closes: #1046416)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Sep 2023 14:23:11 +0900

mruby (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Update copyright year
  * d/control: Bump Standards-Version to 4.6.2

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 25 Jun 2023 14:39:17 +0900

## mruby 3.3.0

=== debian/changelog ===
mruby (3.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Apr 2024 13:19:27 +0900

mruby (3.3.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Feb 2024 16:29:54 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper-compat (= 13), ruby, bison
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://mruby.org/
 Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

## mruby 3.4.0

=== debian/changelog ===
mruby (3.4.0-2) unstable; urgency=medium

  * Fix CVE-2025-7207 (Closes: #1109338)
    Add CVE-2025-7207.patch to d/patches/series.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 16 Aug 2025 09:18:10 +0900

mruby (3.4.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix CVE-2025-7207 (Closes: #1109338)
    Add d/patches/CVE-2025-7207.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 16 Aug 2025 07:14:20 +0900

mruby (3.4.0-1~exp2) experimental; urgency=medium

  * d/patches: Add fix-bigint-on-raspberry-pi.patch.
    Fix test on arm64 and others.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Aug 2025 12:08:48 +0900

mruby (3.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * d/control: Bumped Standards-Version to 4.7.2.
  * d/copyright: Update copyright year.
  * d/copyright: Drop license for mrbgems/mruby-compiler/core/y.tab.c.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Jul 2025 13:22:37 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: Akira Mitsui <murase.syuka@gmail.com>
 Build-Depends: debhelper-compat (= 13), ruby, bison
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://mruby.org/
 Vcs-Git: https://github.com/mruby-debian/mruby.git
 Vcs-Browser: https://github.com/mruby-debian/mruby

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 m68k))
+  export DEB_CFLAGS_MAINT_APPEND += -ffloat-store
+endif
 
 RAKE="rake --verbose"
